KDE 4.2 PyKDE API Reference

- KDE's Python API

# Solid Namespace Reference

`from PyKDE4.solid.Solid import *`

## Detailed Description

## Class Index

A | DeviceInterface (Solid) | PortableMediaPlayer (Solid)
AcAdapter (Solid) | DeviceNotifier (Solid) | Predicate (Solid)
AudioInterface (Solid) | DvbInterface (Solid) | Processor (Solid)
B | G | S
Battery (Solid) | GenericInterface (Solid) | StorageAccess (Solid)
Block (Solid) | N | StorageDrive (Solid)
Button (Solid) | NetworkInterface (Solid) | StorageVolume (Solid)
C | O | V
Camera (Solid) | OpticalDisc (Solid) | Video (Solid)
D | OpticalDrive (Solid) |
Device (Solid) | P |

## Enumerations

ErrorType | { NoError, UnauthorizedOperation }

## Enumeration Documentation

ErrorType

Enumerator:

  NoError = 0 |
  UnauthorizedOperation |